## org.aspectj.weaver.tools
Class PointcutPrimitives

    java.lang.Object
      org.aspectj.util.TypeSafeEnum
          org.aspectj.weaver.tools.PointcutPrimitives

public class PointcutPrimitives
extends org.aspectj.util.TypeSafeEnum

An enumeration of the different kinds of pointcut primitives supported by AspectJ.

Field Summary
`static PointcutPrimitives` `ADVICE_EXECUTION`
`static PointcutPrimitives` `ARGS`
`static PointcutPrimitives` `CALL`
`static PointcutPrimitives` `CFLOW`
`static PointcutPrimitives` `CFLOW_BELOW`
`static PointcutPrimitives` `EXECUTION`
`static PointcutPrimitives` `GET`
`static PointcutPrimitives` `HANDLER`
`static PointcutPrimitives` `IF`
`static PointcutPrimitives` `INITIALIZATION`
`static PointcutPrimitives` `PRE_INITIALIZATION`
`static PointcutPrimitives` `SET`
`static PointcutPrimitives` `STATIC_INITIALIZATION`
`static PointcutPrimitives` `TARGET`
`static PointcutPrimitives` `THIS`
`static PointcutPrimitives` `WITHIN`
`static PointcutPrimitives` `WITHIN_CODE`

Methods inherited from class org.aspectj.util.TypeSafeEnum
`getKey, getName, toString, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CALL

    public static final PointcutPrimitives CALL

### EXECUTION

    public static final PointcutPrimitives EXECUTION

### GET

    public static final PointcutPrimitives GET

### SET

    public static final PointcutPrimitives SET

### INITIALIZATION

    public static final PointcutPrimitives INITIALIZATION

### PRE_INITIALIZATION

    public static final PointcutPrimitives PRE_INITIALIZATION

### STATIC_INITIALIZATION

    public static final PointcutPrimitives STATIC_INITIALIZATION

### HANDLER

    public static final PointcutPrimitives HANDLER

### ADVICE_EXECUTION

    public static final PointcutPrimitives ADVICE_EXECUTION

### WITHIN

    public static final PointcutPrimitives WITHIN

### WITHIN_CODE

    public static final PointcutPrimitives WITHIN_CODE

### CFLOW

    public static final PointcutPrimitives CFLOW

### CFLOW_BELOW

    public static final PointcutPrimitives CFLOW_BELOW

### IF

    public static final PointcutPrimitives IF

### THIS

    public static final PointcutPrimitives THIS

### TARGET

    public static final PointcutPrimitives TARGET

### ARGS

    public static final PointcutPrimitives ARGS